package utils;

import de.janitza.pasw.energy.api.IProjectList
import de.janitza.pasw.energy.common.ServerLkp
import de.janitza.pasw.energy.api.ISecurityHelperProvider
import de.janitza.pasw.security.spi.permissions.IPermissionDescriptor

import java.util.logging.Logger;


class MyUtils {

    private static final Logger LOGGER = Logger.getLogger(MyUtils.class.getName());

    static getProjects() {
        return ServerLkp.lookup(IProjectList.class).getAllReadyProjects();
    }

    static isPermitted(permission) {
        return ServerLkp.lookup(ISecurityHelperProvider.class).isPermitted(
                new IPermissionDescriptor() {
                    String getPermission() {
                        return permission;
                    }
                    String getDescription() {
                        return "";
                    }
                }
        )
    }

    static log(msg) {

        LOGGER.INFO(msg);
    }
}